Retrieve Quiz/Poll Responses

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Authorization

x-api-token must be given to authorize account, campaign must belong to account or its children.

Example Response JSON

{
    "data": [
        {
            "user": "[email protected]",
            "response_id": 50,
            "question": "aaa or bbb",
            "answer": "aaa",
            "choice": "aaa",
            "timestamp": "2023-07-05 18:08:49"
        }
    ],
    "path": "https://v2.audience.io/api/external/quiz-responses/1247572",
    "per_page": 1,
    "next_cursor": "eyJxdWl6X3Jlc3BvbnNlcy5yZXNwb25zZV9pZCI6NTAsIl9wb2ludHNUb05leHRJdGVtcyI6dHJ1ZX0",
    "next_page_url": "https://v2.audience.io/api/external/quiz-responses/1247572?cursor=eyJxdWl6X3Jlc3BvbnNlcy5yZXNwb25zZV9pZCI6NTAsIl9wb2ludHNUb05leHRJdGVtcyI6dHJ1ZX0",
    "prev_cursor": null,
    "prev_page_url": null
}

Pagination

  • cursor - given in a response so that you can get the next page of results
Path Params
int32
required

The campaign to retrieve results for

Query Params
string

used to identify which page of the result set should be retrieved

Headers
string
required

Authorized account's api key

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here!